# xercesc Namespace Reference

## Classes

class | MemoryManager
| Configurable memory manager. More...
class | XMemory
| This class makes it possible to override the C++ memory management by adding new/delete operators to this base class. More...
class | DOMNode
| The `DOMNode` interface is the primary datatype for the entire Document Object Model. More...
class | DOMDocument
| The `DOMDocument` interface represents the entire XML document. More...
class | DOMXPathNSResolver
| The `DOMXPathNSResolver` interface permit prefix strings in the expression to be properly bound to namespaceURI strings. More...
class | XMLEntityResolver
| Revised interface for resolving entities. More...
class | XMLDeleter
class | XMLPlatformUtils
| Utilities that must be implemented in a platform-specific way. More...
class | InputSource
| A single input source for an XML entity. More...
class | LocalFileInputSource
| This class is a derivative of the standard InputSource class. More...
class | MemBufInputSource
| This class is a derivative of the standard InputSource class. More...
class | StdInInputSource
| This class is a derivative of the standard InputSource class. More...
class | URLInputSource
| This class is a derivative of the standard InputSource class. More...

## Functions

| MakeXMLException (XMLPlatformUtilsException, XMLUTIL_EXPORT) inline size_t XMLPlatformUtils

## Function Documentation

xercesc::MakeXMLException | ( | XMLPlatformUtilsException | ,
|  | XMLUTIL_EXPORT |
| ) |